All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::builtin_database::devices::accelerator::fallback Namespace Reference

## Functions

void | add_4B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'N'>, char_to_type<'N'>)
void | add_4B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'T'>, char_to_type<'N'>)
void | add_4B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'N'>, char_to_type<'T'>)
void | add_4B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'T'>, char_to_type<'T'>)
void | add_8B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'N'>, char_to_type<'N'>)
void | add_8B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'T'>, char_to_type<'N'>)
void | add_8B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'N'>, char_to_type<'T'>)
void | add_8B (database_type< matrix_product_template::parameters_type > &db, char_to_type<'T'>, char_to_type<'T'>)

## Function Documentation

void viennacl::device_specific::builtin_database::devices::accelerator::fallback::add_4B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'N'> | ,
|  | char_to_type<'N'> |
| ) |  |

inline

Definition at line 34 of file fallback.hpp.

void viennacl::device_specific::builtin_database::devices::accelerator::fallback::add_4B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'T'> | ,
|  | char_to_type<'N'> |
| ) |  |

inline

Definition at line 39 of file fallback.hpp.

void viennacl::device_specific::builtin_database::devices::accelerator::fallback::add_4B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'N'> | ,
|  | char_to_type<'T'> |
| ) |  |

inline

Definition at line 45 of file fallback.hpp.

void viennacl::device_specific::builtin_database::devices::accelerator::fallback::add_4B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'T'> | ,
|  | char_to_type<'T'> |
| ) |  |

inline

Definition at line 50 of file fallback.hpp.

void viennacl::device_specific::builtin_database::devices::accelerator::fallback::add_8B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'N'> | ,
|  | char_to_type<'N'> |
| ) |  |

inline

Definition at line 56 of file fallback.hpp.

void viennacl::device_specific::builtin_database::devices::accelerator::fallback::add_8B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'T'> | ,
|  | char_to_type<'N'> |
| ) |  |

inline

Definition at line 61 of file fallback.hpp.

void viennacl::device_specific::builtin_database::devices::accelerator::fallback::add_8B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'N'> | ,
|  | char_to_type<'T'> |
| ) |  |

inline

Definition at line 66 of file fallback.hpp.

void viennacl::device_specific::builtin_database::devices::accelerator::fallback::add_8B | ( | database_type< matrix_product_template::parameters_type > & | db,
|  | char_to_type<'T'> | ,
|  | char_to_type<'T'> |
| ) |  |

inline

Definition at line 71 of file fallback.hpp.